extends Control

# Called when the node enters the scene tree for the first time.
func _ready():
	const margin_value = 25
	$MarginContainer.add_theme_constant_override("margin_top", margin_value)
	$MarginContainer.add_theme_constant_override("margin_left", margin_value)
	$MarginContainer.add_theme_constant_override("margin_bottom", margin_value)
	$MarginContainer.add_theme_constant_override("margin_right", margin_value)
	
	Global.state_changed.connect(_update_state)
	if Global.current_state == Global.State.UNLOADED:
		pass
	elif Global.current_state == Global.State.LOADED:
		$MarginContainer.remove_child($MarginContainer/Unloaded)
		var s = ResourceLoader.load("res://loaded.tscn")
		var current_scene = s.instantiate()
		$MarginContainer.add_child(current_scene)

func _update_state(old: Global.State, new: Global.State):
	print("updated state")
